package com.cesys.cebo.cebomsr;

import java.util.Arrays;

/**
 * Various utilities used in the API.
 *
 * @author Thomas Hoppe
 */
final class Utils {
	/**
	 * Extract String from byte[] while taking String terminator into account.
	 * @param array
	 * @return
	 */
	public static String convertByteArrayToString(byte[] array) {
		// Find string terminator in path.
		int pos = 0;
		for (int l = 0; l < array.length; ++l, ++pos)
			if (0 == array[l])
				break;
		byte[] cutted = Arrays.copyOf(array, pos);
		return new String(cutted);
	}
}
